Page MenuHomePhabricator

[Config change] Enable night theme on preferences pages
Closed, ResolvedPublic1 Estimated Story Points

Description

NOTE: The earliest this can be backported in June 20th, when https://gerrit.wikimedia.org/r/c/mediawiki/core/+/1041782 is in production

Background

As a user I want night them on all pages.

User story

As a user I want all my pages in dark mode.

Acceptance criteria

Screenshot 2024-06-12 at 2.22.59 PM.png (432×745 px, 66 KB)

Derived Requirement

Ensure that the night theme is enabled and consistently applied across MediaWiki preferences pages.

BDD

Feature: Night Theme on Preferences Pages

Scenario: Enable night theme on MediaWiki preferences pages

Given the user is on any MediaWiki preferences page
When the night theme is enabled
Then the preferences page should display using the night theme

Scenario: Consistent night theme across all preferences pages

Given the user navigates between different preferences pages
When the night theme is enabled
Then the night theme should remain consistent across all pages
Test Steps

Test Case 1: Enable Night Theme on Global Preferences Pages

Open MediaWiki and navigate to any preferences page.
Enable the night theme.
✅❓❌⬜ AC1: Confirm that the Global preferences page displays using the night theme.
Test Case 2: Consistent Night Theme Across Global Preferences Pages

Enable the night theme on any preferences page.
Navigate to different preferences pages.
✅❓❌⬜ AC2: Confirm that the night theme remains consistent across all preferences pages.

QA Results - Test.wiki

ACStatusDetails
1T366378#9927739
2T366378#9927739

Related Objects

Event Timeline

Jdlrobson changed the task status from Open to Stalled.May 31 2024, 4:55 PM
Jdlrobson added a project: Web-Team-Backlog.

Hopefully will be fixed by T365383

Change #1042214 had a related patch set uploaded (by Jdlrobson; author: VolkerE):

[mediawiki/core@master] styles: Replace static color values with Codex tokens enabling dark mode

https://gerrit.wikimedia.org/r/1042214

Jdlrobson updated the task description. (Show Details)

Change #1042214 merged by jenkins-bot:

[mediawiki/core@master] Preferences: Replace static color values with Codex tokens enabling dark mode

https://gerrit.wikimedia.org/r/1042214

Jdlrobson changed the task status from Stalled to Open.Jun 12 2024, 11:28 PM

All that remains is an update to configuration.
The earliest this can be deployed is the 20th.

Jdlrobson renamed this task from Enable night theme on preferences pages to [Config change] Enable night theme on preferences pages.Jun 12 2024, 11:29 PM
Jdlrobson updated the task description. (Show Details)
Jdlrobson set the point value for this task to 1.

Change #1042431 had a related patch set uploaded (by Jdlrobson; author: Jdlrobson):

[operations/mediawiki-config@master] Enable dark mode on more pages

https://gerrit.wikimedia.org/r/1042431

ovasileva lowered the priority of this task from High to Medium.Thu, Jun 20, 4:55 PM

Change #1041250 had a related patch set uploaded (by Jdlrobson; author: Jdlrobson):

[operations/mediawiki-config@master] Enable dark mode on more pages

https://gerrit.wikimedia.org/r/1041250

Change #1042431 abandoned by Jdlrobson:

[operations/mediawiki-config@master] Enable dark mode on more pages

Reason:

Folded into https://gerrit.wikimedia.org/r/c/operations/mediawiki-config/+/1041250

https://gerrit.wikimedia.org/r/1042431

Change #1041250 merged by jenkins-bot:

[operations/mediawiki-config@master] Enable dark mode on more pages

https://gerrit.wikimedia.org/r/1041250

Mentioned in SAL (#wikimedia-operations) [2024-06-25T20:16:21Z] <cjming@deploy1002> Started scap: Backport for [[gerrit:1041250|Enable dark mode on more pages (T366378 T367374 T366373 T366520 T366373)]]

Mentioned in SAL (#wikimedia-operations) [2024-06-25T20:19:01Z] <cjming@deploy1002> jdlrobson, cjming: Backport for [[gerrit:1041250|Enable dark mode on more pages (T366378 T367374 T366373 T366520 T366373)]] synced to the testservers (https://wikitech.wikimedia.org/wiki/Mwdebug)

Mentioned in SAL (#wikimedia-operations) [2024-06-25T20:31:25Z] <cjming@deploy1002> Finished scap: Backport for [[gerrit:1041250|Enable dark mode on more pages (T366378 T367374 T366373 T366520 T366373)]] (duration: 15m 04s)

@Jdlrobson Please review the issues below.
//UPDATE: All disabled elements issues will be ignored. Below all passes//

Test Result - Test.wiki

Status: |✅ PASS
Environment: Test.wiki
OS: macOS Sonoma 14.5
Browser: Chrome 126
Device: MBA
Emulated Device: NA

Test Artifact(s):

Test Steps

Test Case 1: Enable Night Theme on Global Preferences Pages

  1. Open MediaWiki and navigate to any preferences page.
  2. Enable the night theme.

❌ AC1: Confirm that the Global preferences page displays using the night theme.
Issues are similar across all the tabs

2024-06-25_16-05-49.png (914×3 px, 324 KB)
2024-06-25_16-06-05.png (728×3 px, 280 KB)
2024-06-25_16-06-44.png (725×3 px, 284 KB)
2024-06-25_16-07-18.png (1×3 px, 353 KB)
2024-06-25_16-07-32.png (672×3 px, 263 KB)
2024-06-25_16-07-47.png (1×3 px, 360 KB)

Test Case 2: Consistent Night Theme Across Preferences Pages

  1. Enable the night theme on any preferences page.
  2. Navigate to different preferences pages.

❌AC2: Confirm that the night theme remains consistent across all preferences pages.
Issues are similar across all the tabs

2024-06-25_16-10-29.png (677×3 px, 264 KB)
2024-06-25_16-10-48.png (1×3 px, 391 KB)
2024-06-25_16-11-01.png (622×3 px, 244 KB)
2024-06-25_16-11-14.png (619×3 px, 268 KB)
2024-06-25_16-11-55.png (1×2 px, 228 KB)

2024-06-25_16-07-47.png (1×3 px, 360 KB)

Hi @GMikesell-WMF the color contrast doesn't need to apply to disabled elements that are not selectable like these. Feel free to ignore these in future testing. These are all passes.

2024-06-25_16-10-29.png (677×3 px, 264 KB)

The banner is not part of the special page. Please dismiss it so it doesn't show up in future QA (it's got its own bug - T366335)

Got it, I will ignore any disabled elements for future testing. I will move this to passes, thanks!

Resolving based on conversation above